Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger Class Reference

Purges image aliases based on image files referenced by the Image FieldType. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger:

## Public Member Functions
| __construct (Iterator $imageFileList, IOServiceInterface $ioService, VariationPathGenerator $variationPathGenerator)
| purge (array $aliasNames)
| Purge all variations generated for aliases in $aliasName. More...
| setLogger ($logger)

## Private Attributes
| $imageFileList
| $ioService
| $variationPathGenerator
| $logger

## Detailed Description

Purges image aliases based on image files referenced by the Image FieldType.

It uses an ImageFileList iterator that lists original images, and the variationPathGenerator + IOService to remove aliases if they exist.

Definition at line 20 of file ImageFileVariationPurger.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger::__construct | ( | Iterator | $imageFileList,
|  | IOServiceInterface | $ioService,
|  | VariationPathGenerator | $variationPathGenerator
| ) |  |

Definition at line 34 of file ImageFileVariationPurger.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\$imageFileList, eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\$ioService, and eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\$variationPathGenerator.

## Member Function Documentation

## ◆ purge()

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger::purge | ( | array | $aliasNames | ) |

Purge all variations generated for aliases in $aliasName.

Parameters

  array | $aliasNames |

Implements eZ\Publish\SPI\Variation\VariationPurger.

Definition at line 46 of file ImageFileVariationPurger.php.

## ◆ setLogger()

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger::setLogger | ( |  | $logger | ) |

Parameters

  \Psr\Log\LoggerInterface | $logger |

Definition at line 67 of file ImageFileVariationPurger.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\$logger.

## Member Data Documentation

## ◆ $imageFileList

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger::$imageFileList
| private

Definition at line 23 of file ImageFileVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\__construct().

## ◆ $ioService

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger::$ioService
| private

Definition at line 26 of file ImageFileVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\__construct().

## ◆ $logger

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger::$logger
| private

Definition at line 32 of file ImageFileVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\setLogger().

## ◆ $variationPathGenerator

eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger::$variationPathGenerator
| private

Definition at line 29 of file ImageFileVariationPurger.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileVariationPurger\__construct().

The documentation for this class was generated from the following file:

- ImageFileVariationPurger.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.